Bug 887151 - [abrt] openstack-nova-volume-2012.2.1-3.fc18: cfg.py:1496:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/nova/nova.conf
[abrt] openstack-nova-volume-2012.2.1-3.fc18: cfg.py:1496:_parse_config_files...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Xavier Queralt
Fedora Extras Quality Assurance
abrt_hash:3d801e46fd3fabc36b93b2c2cf0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-14 02:54 EST by Yaniv Kaul
Modified: 2014-06-18 03:00 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 08:52:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (943 bytes, text/plain)
2012-12-14 02:54 EST, Yaniv Kaul
no flags Details
File: core_backtrace (435 bytes, text/plain)
2012-12-14 02:54 EST, Yaniv Kaul
no flags Details
File: environ (2.81 KB, text/plain)
2012-12-14 02:54 EST, Yaniv Kaul
no flags Details
File: smolt_data (2.84 KB, text/plain)
2012-12-14 02:54 EST, Yaniv Kaul
no flags Details

  None (edit)
Description Yaniv Kaul 2012-12-14 02:54:25 EST
Version-Release number of selected component:
openstack-nova-volume-2012.2.1-3.fc18

Additional info:
cmdline:        /usr/bin/python /usr/bin/nova-volume help
dso_list:       python-nova-2012.2.1-3.fc18.noarch
executable:     /usr/bin/nova-volume
kernel:         3.6.10-4.fc18.x86_64
uid:            1000

Truncated backtrace:
cfg.py:1496:_parse_config_files:ConfigFilesNotFoundError: Failed to read some config files: /etc/nova/nova.conf

Traceback (most recent call last):
  File "/usr/bin/nova-volume", line 43, in <module>
    flags.parse_args(sys.argv)
  File "/usr/lib/python2.7/site-packages/nova/flags.py", line 43, in parse_args
    default_config_files=default_config_files)
  File "/usr/lib/python2.7/site-packages/nova/openstack/common/cfg.py", line 1026, in __call__
    self._parse_config_files()
  File "/usr/lib/python2.7/site-packages/nova/openstack/common/cfg.py", line 1496, in _parse_config_files
    raise ConfigFilesNotFoundError(not_read_ok)
ConfigFilesNotFoundError: Failed to read some config files: /etc/nova/nova.conf

Local variables in innermost frame:
not_read_ok: ['/etc/nova/nova.conf']
p: '/etc/nova/nova.conf'
config_files: ['/etc/nova/nova.conf']
self: <nova.openstack.common.cfg.CommonConfigOpts object at 0x7f454ea53950>
read_ok: []
Comment 1 Yaniv Kaul 2012-12-14 02:54:30 EST
Created attachment 663416 [details]
File: backtrace
Comment 2 Yaniv Kaul 2012-12-14 02:54:33 EST
Created attachment 663417 [details]
File: core_backtrace
Comment 3 Yaniv Kaul 2012-12-14 02:54:36 EST
Created attachment 663418 [details]
File: environ
Comment 4 Yaniv Kaul 2012-12-14 02:54:39 EST
Created attachment 663419 [details]
File: smolt_data
Comment 6 Fedora Admin XMLRPC Client 2013-12-16 11:21:22 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-12-21 04:54:12 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 08:52:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.